Page MenuHomePhabricator

1.34.0-wmf.25 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.34.0-wmf.25
Release Date
1569801600

2019 week 40 1.34-wmf.25 Changes wmf/1.34.0-wmf.25

This MediaWiki Train Deployment is scheduled for the week of Monday, September 30th:

Monday September 30thTuesday, October 1stWednesday, October 2ndThursday, October 3rdFriday
SWAT deployments only.Branch wmf.25 and deploy to Group 0 Wikis.Deploy wmf.25 to Group 1 Wikis.Deploy wmf.25 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.25 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.24
Next: 1.35.0-wmf.1

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell triaged this task as Normal priority.Apr 11 2019, 7:10 PM
mmodell assigned this task to dduvall.Sep 25 2019, 10:08 PM
mmodell removed a subscriber: mmodell.Sep 25 2019, 10:16 PM

Mentioned in SAL (#wikimedia-operations) [2019-10-01T19:42:55Z] <marxarelli> 1.34.0-wmf.25 promoted to group0 cc: T220750. no rise in relevant error rates

Mentioned in SAL (#wikimedia-operations) [2019-10-02T19:33:41Z] <marxarelli> 1.34.0-wmf.25 promoted to group1, cc: T220750. no rise in relevant error rates

Mentioned in SAL (#wikimedia-operations) [2019-10-03T19:30:07Z] <marxarelli> 1.34.0-wmf.25 promoted to all wikis, cc: T220750. no rise in relevant error rates. no new errors

dduvall closed this task as Resolved.Oct 3 2019, 7:31 PM